org.eclipse.cdt.core.dom.ast.tag

## Interface ITagWriter

    public interface ITagWriter

An interface that allows tag creation and modification.

Since:
  5.5
See Also:
  `ITag`, `ITagService`

### Method Summary

All Methods Instance Methods Abstract Methods
`IWritableTag` `createTag(String id, int len)` Creates and returns a new tag for the receiver.
`boolean` `setTags(Iterable<ITag> tags)` Sets the receiver's tags to only the ones provided.

### Method Detail

#### createTag

    IWritableTag createTag(String id,
                           int len)

Creates and returns a new tag for the receiver. E.g., if this writer is associated with a persistent binding, then returned tag will read and write from the PDOM database.

Parameters:
  `id` - A string that uniquely identifies the tag to be returned. This value will be used by the contributor when to find the tag (see `ITagReader.getTag(String)`).
  `len` - The number of bytes that should be allocated to store the tag's data.

#### setTags

    boolean setTags(Iterable<ITag> tags)

Sets the receiver's tags to only the ones provided. Deletes existing tags that are not in the argument list.